# Uses of Enum Class
org.jmol.c.CBK

Packages that use CBK
Package
Description
org.jmol.api
org.jmol.c
org.jmol.console
org.jmol.util
org.openscience.jmol.app
org.openscience.jmol.app.janocchio
org.openscience.jmol.app.jmolpanel
org.openscience.jmol.app.status

## Uses of CBK in org.jmol.api

Methods in org.jmol.api with parameters of type CBK
Modifier and Type
Method
Description
`void`
JmolCallbackListener.`notifyCallback(CBK message, Object[] data)`
`boolean`
JmolCallbackListener.`notifyEnabled(CBK type)`

## Uses of CBK in org.jmol.c

Subclasses with type arguments of type CBK in org.jmol.c
Modifier and Type
Class
Description
`enum`
`CBK`
Methods in org.jmol.c that return CBK
Modifier and Type
Method
Description
`static CBK`
CBK.`getCallback(String name)`
`static CBK`
CBK.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CBK[]`
CBK.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CBK in org.jmol.console

Methods in org.jmol.console with parameters of type CBK
Modifier and Type
Method
Description
`void`
GenericConsole.`notifyCallback(CBK type, Object[] data)`
`boolean`
GenericConsole.`notifyEnabled(CBK type)`
////////// JmolCallbackListener interface

## Uses of CBK in org.jmol.util

Fields in org.jmol.util with type parameters of type CBK
Modifier and Type
Field
Description
`protected Map<CBK,String>`
GenericApplet.`callbacks`
Methods in org.jmol.util with parameters of type CBK
Modifier and Type
Method
Description
`protected String`
GenericApplet.`doSendCallback(CBK type, Object callback, Object[] data, String strInfo)`
`void`
GenericApplet.`notifyCallback(CBK type, Object[] data)`
`boolean`
GenericApplet.`notifyEnabled(CBK type)`
////////// JmolStatusListener ///////////

## Uses of CBK in org.openscience.jmol.app

Methods in org.openscience.jmol.app with parameters of type CBK
Modifier and Type
Method
Description
`void`
JmolPlugin.`notifyCallback(CBK type, Object[] data)`

## Uses of CBK in org.openscience.jmol.app.janocchio

Methods in org.openscience.jmol.app.janocchio with parameters of type CBK
Modifier and Type
Method
Description
`void`
NmrPlugin.`notifyCallback(CBK type, Object[] data)`

## Uses of CBK in org.openscience.jmol.app.jmolpanel

Methods in org.openscience.jmol.app.jmolpanel that return CBK
Modifier and Type
Method
Description
`CBK`
JmolPanel.`notifyMeasure(Object[] data)`
Methods in org.openscience.jmol.app.jmolpanel with parameters of type CBK
Modifier and Type
Method
Description
`void`
JmolPanel.`notifyGaussian(CBK type, Object[] data)`
`void`
JmolPanel.`notifyGeneralCallback(CBK type, Object[] data, String strInfo)`
`void`
JmolPanel.`notifyServer(CBK type, Object[] data)`

## Uses of CBK in org.openscience.jmol.app.status

Methods in org.openscience.jmol.app.status with parameters of type CBK
Modifier and Type
Method
Description
`void`
StatusListener.`notifyCallback(CBK type, Object[] data)`
`boolean`
StatusListener.`notifyEnabled(CBK type)`